Name:           rpmdevtools
Version:        9.6
Release:        3
Summary:        RPM Development Tools

License:        GPLv2+ and GPLv2
URL:            https://pagure.io/rpmdevtools
Source0:        https://releases.pagure.org/rpmdevtools/%{name}-%{version}.tar.xz

Patch0001:      0001-Force-legacy-datestamp-while-RHBZ-1715412-is-still-a.patch
Patch0003:      0003-fix-return-value-error-for-rpminfo.patch

BuildArch:      noarch
BuildRequires:  emacs-common >= 1:22.3-3 bash-completion perl-generators help2man %{_bindir}/pod2man 
BuildRequires:  python3dist(requests) python3dist(rpm) python3-devel python3 python3dist(progressbar2)
Requires:       curl diffutils fakeroot file findutils gawk grep rpm-build >= 4.4.2.3
Requires:       python3dist(argcomplete) python3dist(requests) python3dist(rpm)
Requires:       sed emacs-filesystem python3dist(progressbar2)

Recommends:     python%{python3_version}dist(rpmautospec)
%description
rpmdevtools contains many scripts to aid in package development.
rpmdevtools when installed also pulls in (roughly) the explicit minimum build environment as defined in packaging guidelines,
and contains (X)Emacs helpers that integrates rpm-spec-mode.el with rpmdev-newspec.

%package_help

%prep
%autosetup -p1
grep -lF "%{_bindir}/python " * | xargs sed -i -e "s|%{_bindir}/python |%{_bindir}/python3 |"

%build
%configure --libdir=%{_prefix}/lib
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install
echo %%{_datadir}/bash-completion > %{name}.files
[ -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d ] && \
echo %%{_sysconfdir}/bash_completion.d > %{name}.files

for dir in %{_emacs_sitestartdir} ; do
  install -dm 755 $RPM_BUILD_ROOT$dir
  ln -s %{_datadir}/rpmdevtools/rpmdev-init.el $RPM_BUILD_ROOT$dir
  touch $RPM_BUILD_ROOT$dir/rpmdev-init.elc
done

ln -sr %{buildroot}%{_bindir}/rpmdev-spectool %{buildroot}%{_bindir}/spectool
echo ".so man1/rpmdev-spectool.1" > %{buildroot}%{_mandir}/man1/spectool.1

%files -f %{name}.files
%license COPYING
%doc NEWS
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/rpmdevtools/
%{_datadir}/rpmdevtools/
%{_emacs_sitestartdir}/rpmdev-init.el
%ghost %{_emacs_sitestartdir}/rpmdev-init.elc

%files help
%{_mandir}/man[18]/*.[18]*

%changelog
* Thu Jun 20 2024 wulei <wu_lei@hoperun.com> - 9.6-3
- Fix command not found

* Fri Dec 1 2023 liyanan  <liyanan61@h-partners.com> - 9.6-2
- Add requires python3dist(progressbar2)

* Mon Oct 23 2023 liyanan  <liyanan61@h-partners.com> - 9.6-1
- Update to 9.6

* Mon Mar 21 2022 liyanan  <liyanan32@huawei.com> - 8.10-9
- BZ 1851499 port to str return values
- fix return value error for rpminfo

* Fri Feb 21 2020 openEuler Buildtam <buildteam@openeuler.org> - 8.10-8
- disable python2

* Thu Nov 07 2019 openEuler Buildtam <buildteam@openeuler.org> - 8.10-7
- Package Init
